%define debug_package	%{nil}
%define upstream_name    ExtUtils-ParseXS
%define upstream_version 3.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1

Summary:    Entry in the OUTPUT section of a typemap
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.460.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::CBuilder)

BuildArch:  noarch

%description
'ExtUtils::ParseXS' will compile XS code into C code by embedding the
constructs necessary to let C functions manipulate Perl values and creates
the glue necessary to let Perl access those functions. The compiler uses
typemaps to determine how to map C function parameters and variables to
Perl values.

The compiler will search for typemap files called _typemap_. It will use
the following search path to find default typemaps, with the rightmost
typemap taking precedence.

    ../../../typemap:../../typemap:../typemap:typemap

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std
sed -i 's|#!perl|#!/usr/bin/perl|' %{buildroot}%{perl_vendorlib}/ExtUtils/xsubpp
chmod 755 %{buildroot}%{perl_vendorlib}/ExtUtils/xsubpp
mv %{buildroot}/%{_bindir}/xsubpp        %{buildroot}/%{_bindir}/xsubpp.%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/xsubpp.1 %{buildroot}/%{_mandir}/man1/xsubpp.%{upstream_version}.1

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/ExtUtils
%{_bindir}/*
%{_mandir}/*/*


%changelog

* Thu Apr 02 2015 abfonly <John@smith.org> 3.240.0-1
- (a7c0b81) Log: Update to -3.240.0, generate diff-since_2.2206-Log for QA


